searchNodes=[{"ref":"Geo.html","title":"Geo","type":"module","doc":"A collection of GIS functions. Handles conversions to and from WKT, WKB, and GeoJSON for the following geometries: Point PointZ LineString LineStringZ Polygon PolygonZ MultiPoint MultiPointZ MulitLineString MulitLineStringZ MultiPolygon MultiPolygonZ GeometryCollection Examples Encode and decode WKT and EWKT iex(1)&gt; point = Geo.WKT.decode(&quot;POINT(30 -90)&quot;) %Geo.Point{ coordinates: {30, -90}, srid: nil} iex(2)&gt; Geo.WKT.encode(point) &quot;POINT(30 -90)&quot; iex(3)&gt; point = Geo.WKT.decode(&quot;SRID=4326;POINT(30 -90)&quot;) %Geo.Point{coordinates: {30, -90}, srid: 4326} Encode and decode WKB and EWKB iex(1)&gt; point = Geo.WKB.decode(&quot;0101000000000000000000F03F000000000000F03F&quot;) %Geo.Point{ coordinates: {1.0, 1.0}, srid: nil } iex(2)&gt; Geo.WKB.encode(point) &quot;00000000013FF00000000000003FF0000000000000&quot; iex(3)&gt; point = Geo.WKB.decode(&quot;0101000020E61000009EFB613A637B4240CF2C0950D3735EC0&quot;) %Geo.Point{ coordinates: {36.9639657, -121.8097725}, srid: 4326 } iex(4)&gt; Geo.WKB.encode(point) &quot;0020000001000010E640427B633A61FB9EC05E73D350092CCF&quot; Encode and decode GeoJSON Geo only encodes and decodes maps shaped as GeoJSON. JSON encoding and decoding must be done before and after. #Examples using Poison as the JSON parser iex(1)&gt; Geo.JSON.encode(point) %{ &quot;type&quot; =&gt; &quot;Point&quot;, &quot;coordinates&quot; =&gt; [100.0, 0.0] } iex(2)&gt; point = Poison.decode!(&quot;{ &quot;type&quot;: &quot;Point&quot;, &quot;coordinates&quot;: [100.0, 0.0] }&quot;) |&gt; Geo.JSON.decode %Geo.Point{ coordinates: {100.0, 0.0}, srid: nil } iex(3)&gt; Geo.JSON.encode(point) |&gt; Poison.encode! &quot;{&quot;type&quot;:&quot;Point&quot;,&quot;coordinates&quot;:[100.0,0.0]}&quot;"},{"ref":"Geo.html#t:endian/0","title":"Geo.endian/0","type":"type","doc":"Endianess (byte-order) of the WKB/EWKB representation. :ndr - little-endian :xdr - big-endian"},{"ref":"Geo.html#t:geometry/0","title":"Geo.geometry/0","type":"type","doc":""},{"ref":"Geo.GeometryCollection.html","title":"Geo.GeometryCollection","type":"module","doc":"Defines the GeometryCollection struct."},{"ref":"Geo.GeometryCollection.html#t:t/0","title":"Geo.GeometryCollection.t/0","type":"type","doc":""},{"ref":"Geo.JSON.html","title":"Geo.JSON","type":"module","doc":"Converts Geo structs to and from a map representing GeoJSON. You are responsible to encoding and decoding of JSON. This is so that you can use any JSON parser you want as well as making it so that you can use the resulting GeoJSON structure as a property in larger JSON structures. #Using Poison as the JSON parser for these examples json = &quot;{ \\&quot;type\\&quot;: \\&quot;Point\\&quot;, \\&quot;coordinates\\&quot;: [100.0, 0.0] }&quot; geom = Poison.decode!(json) |&gt; Geo.JSON.decode!(json) Geo.Point[coordinates: {100.0, 0.0}, srid: nil] Geo.JSON.encode!(geom) |&gt; Poison.encode! &quot;{ \\&quot;type\\&quot;: \\&quot;Point\\&quot;, \\&quot;coordinates\\&quot;: [100.0, 0.0] }&quot; Geo.JSON.encode!(geom) %{ &quot;type&quot; =&gt; &quot;Point&quot;, &quot;coordinates&quot; =&gt; [100.0, 0.0] }"},{"ref":"Geo.JSON.html#decode/1","title":"Geo.JSON.decode/1","type":"function","doc":"Takes a map representing GeoJSON and returns a Geometry"},{"ref":"Geo.JSON.html#decode!/1","title":"Geo.JSON.decode!/1","type":"function","doc":"Takes a map representing GeoJSON and returns a Geometry"},{"ref":"Geo.JSON.html#encode/1","title":"Geo.JSON.encode/1","type":"function","doc":"Takes a Geometry and returns a map representing the GeoJSON"},{"ref":"Geo.JSON.html#encode!/1","title":"Geo.JSON.encode!/1","type":"function","doc":"Takes a Geometry and returns a map representing the GeoJSON"},{"ref":"Geo.JSON.Decoder.DecodeError.html","title":"Geo.JSON.Decoder.DecodeError","type":"exception","doc":""},{"ref":"Geo.JSON.Decoder.DecodeError.html#t:t/0","title":"Geo.JSON.Decoder.DecodeError.t/0","type":"type","doc":""},{"ref":"Geo.JSON.Encoder.EncodeError.html","title":"Geo.JSON.Encoder.EncodeError","type":"exception","doc":""},{"ref":"Geo.JSON.Encoder.EncodeError.html#t:t/0","title":"Geo.JSON.Encoder.EncodeError.t/0","type":"type","doc":""},{"ref":"Geo.LineString.html","title":"Geo.LineString","type":"module","doc":"Defines the LineString struct."},{"ref":"Geo.LineString.html#t:t/0","title":"Geo.LineString.t/0","type":"type","doc":""},{"ref":"Geo.LineStringZ.html","title":"Geo.LineStringZ","type":"module","doc":"Defines the LineStringZ struct."},{"ref":"Geo.LineStringZ.html#t:t/0","title":"Geo.LineStringZ.t/0","type":"type","doc":""},{"ref":"Geo.MultiLineString.html","title":"Geo.MultiLineString","type":"module","doc":"Defines the MultiLineString struct."},{"ref":"Geo.MultiLineString.html#t:t/0","title":"Geo.MultiLineString.t/0","type":"type","doc":""},{"ref":"Geo.MultiLineStringZ.html","title":"Geo.MultiLineStringZ","type":"module","doc":"Defines the MultiLineStringZ struct."},{"ref":"Geo.MultiLineStringZ.html#t:t/0","title":"Geo.MultiLineStringZ.t/0","type":"type","doc":""},{"ref":"Geo.MultiPoint.html","title":"Geo.MultiPoint","type":"module","doc":"Defines the MultiPoint struct."},{"ref":"Geo.MultiPoint.html#t:t/0","title":"Geo.MultiPoint.t/0","type":"type","doc":""},{"ref":"Geo.MultiPointZ.html","title":"Geo.MultiPointZ","type":"module","doc":"Defines the MultiPointZ struct."},{"ref":"Geo.MultiPointZ.html#t:t/0","title":"Geo.MultiPointZ.t/0","type":"type","doc":""},{"ref":"Geo.MultiPolygon.html","title":"Geo.MultiPolygon","type":"module","doc":"Defines the MultiPolygon struct."},{"ref":"Geo.MultiPolygon.html#t:t/0","title":"Geo.MultiPolygon.t/0","type":"type","doc":""},{"ref":"Geo.MultiPolygonZ.html","title":"Geo.MultiPolygonZ","type":"module","doc":"Defines the MultiPolygonZ struct."},{"ref":"Geo.MultiPolygonZ.html#t:t/0","title":"Geo.MultiPolygonZ.t/0","type":"type","doc":""},{"ref":"Geo.Point.html","title":"Geo.Point","type":"module","doc":"Defines the Point struct."},{"ref":"Geo.Point.html#t:t/0","title":"Geo.Point.t/0","type":"type","doc":""},{"ref":"Geo.PointM.html","title":"Geo.PointM","type":"module","doc":"Defines the PointM struct."},{"ref":"Geo.PointM.html#t:t/0","title":"Geo.PointM.t/0","type":"type","doc":""},{"ref":"Geo.PointZ.html","title":"Geo.PointZ","type":"module","doc":"Defines the PointZ struct."},{"ref":"Geo.PointZ.html#t:t/0","title":"Geo.PointZ.t/0","type":"type","doc":""},{"ref":"Geo.PointZM.html","title":"Geo.PointZM","type":"module","doc":"Defines the PointZM struct."},{"ref":"Geo.PointZM.html#t:t/0","title":"Geo.PointZM.t/0","type":"type","doc":""},{"ref":"Geo.Polygon.html","title":"Geo.Polygon","type":"module","doc":"Defines the Polygon struct."},{"ref":"Geo.Polygon.html#t:t/0","title":"Geo.Polygon.t/0","type":"type","doc":""},{"ref":"Geo.PolygonZ.html","title":"Geo.PolygonZ","type":"module","doc":"Defines the Polygon struct."},{"ref":"Geo.PolygonZ.html#t:t/0","title":"Geo.PolygonZ.t/0","type":"type","doc":""},{"ref":"Geo.WKB.html","title":"Geo.WKB","type":"module","doc":"Converts to and from WKB and EWKB {:ok, point} = Geo.WKB.decode(&quot;0101000000000000000000F03F000000000000F03F&quot;) Geo.Point[coordinates: {1, 1}, srid: nil] Geo.WKT.encode!(point) &quot;POINT(1 1)&quot; point = Geo.WKB.decode!(&quot;0101000020E61000009EFB613A637B4240CF2C0950D3735EC0&quot;) Geo.Point[coordinates: {36.9639657, -121.8097725}, srid: 4326]"},{"ref":"Geo.WKB.html#decode/2","title":"Geo.WKB.decode/2","type":"function","doc":"Takes a WKB string and returns a Geometry"},{"ref":"Geo.WKB.html#decode!/2","title":"Geo.WKB.decode!/2","type":"function","doc":"Takes a WKB string and returns a Geometry"},{"ref":"Geo.WKB.html#encode/2","title":"Geo.WKB.encode/2","type":"function","doc":"Takes a Geometry and returns a WKB string. The endian decides what the byte order will be"},{"ref":"Geo.WKB.html#encode!/2","title":"Geo.WKB.encode!/2","type":"function","doc":"Takes a Geometry and returns a WKB string. The endian decides what the byte order will be"},{"ref":"Geo.WKT.html","title":"Geo.WKT","type":"module","doc":"Converts to and from WKT and EWKT {:ok, point} = Geo.WKT.decode(&quot;POINT(30 -90)&quot;) Geo.Point[coordinates: {30, -90}, srid: nil] Geo.WKT.encode!(point) &quot;POINT(30 -90)&quot; point = Geo.WKT.decode!(&quot;SRID=4326;POINT(30 -90)&quot;) Geo.Point[coordinates: {30, -90}, srid: 4326]"},{"ref":"Geo.WKT.html#decode/1","title":"Geo.WKT.decode/1","type":"function","doc":"Takes a WKT string and returns a Geo.geometry struct or list of Geo.geometry"},{"ref":"Geo.WKT.html#decode!/1","title":"Geo.WKT.decode!/1","type":"function","doc":"Takes a WKT string and returns a Geo.geometry struct or list of Geo.geometry"},{"ref":"Geo.WKT.html#encode/1","title":"Geo.WKT.encode/1","type":"function","doc":"Takes a Geometry and returns a WKT string"},{"ref":"Geo.WKT.html#encode!/1","title":"Geo.WKT.encode!/1","type":"function","doc":"Takes a Geometry and returns a WKT string"}]